com.dlsc.flexgantt.swing.treetable

## Enum DefaultTreeTableRowHeaderRenderer.Type

- java.lang.Object
- - java.lang.Enum<DefaultTreeTableRowHeaderRenderer.Type>
  - - com.dlsc.flexgantt.swing.treetable.DefaultTreeTableRowHeaderRenderer.Type

- All Implemented Interfaces:
    Serializable, Comparable<DefaultTreeTableRowHeaderRenderer.Type>
  Enclosing class:
    DefaultTreeTableRowHeaderRenderer

      public static enum DefaultTreeTableRowHeaderRenderer.Type
      extends Enum<DefaultTreeTableRowHeaderRenderer.Type>

  A type enumerator that is used to indicate to the renderer whether the application wants standard row numbers to be shown or information based on model information.
  Since:
    1.0
  See Also:
    `ITreeTableModel.getRowHeaderValue(Object)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MODEL_OBJECT` An enumerator value used to indicate that the row header renderer shall draw information based on model data.
    `ROW_NUMBER` An enumerator value used to indicate that the row header renderer shall draw standard row numbers.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultTreeTableRowHeaderRenderer.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DefaultTreeTableRowHeaderRenderer.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROW_NUMBER

          public static final DefaultTreeTableRowHeaderRenderer.Type ROW_NUMBER

      An enumerator value used to indicate that the row header renderer shall draw standard row numbers.
      Since:
        1.0

    - #### MODEL_OBJECT

          public static final DefaultTreeTableRowHeaderRenderer.Type MODEL_OBJECT

      An enumerator value used to indicate that the row header renderer shall draw information based on model data.
      Since:
        1.0
      See Also:
        `ITreeTableModel.getRowHeaderValue(Object)`

  - ### Method Detail

    - #### values

          public static DefaultTreeTableRowHeaderRenderer.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultTreeTableRowHeaderRenderer.Type c : DefaultTreeTableRowHeaderRenderer.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultTreeTableRowHeaderRenderer.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.